# H245_UserInputIndication Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_alphanumeric, e_userInputSupportIndication, e_signal, e_signalUpdate, e_extendedAlphanumeric, e_encryptedAlphanumeric, e_genericInformation }

## Public Member Functions

| H245_UserInputIndication (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_UserInputIndication_userInputSupportIndication & ()
| operator const H245_UserInputIndication_userInputSupportIndication & () const
| operator H245_UserInputIndication_signal & ()
| operator const H245_UserInputIndication_signal & () const
| operator H245_UserInputIndication_signalUpdate & ()
| operator const H245_UserInputIndication_signalUpdate & () const
| operator H245_UserInputIndication_extendedAlphanumeric & ()
| operator const H245_UserInputIndication_extendedAlphanumeric & () const
| operator H245_UserInputIndication_encryptedAlphanumeric & ()
| operator const H245_UserInputIndication_encryptedAlphanumeric & () const
| operator H245_ArrayOf_GenericInformation & ()
| operator const H245_ArrayOf_GenericInformation & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_UserInputIndication::Choices

Enumerator:

  e_nonStandard |
  e_alphanumeric |
  e_userInputSupportIndication |
  e_signal |
  e_signalUpdate |
  e_extendedAlphanumeric |
  e_encryptedAlphanumeric |
  e_genericInformation |

## Constructor & Destructor Documentation

H245_UserInputIndication::H245_UserInputIndication | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_UserInputIndication::operator H245_NonStandardParameter & | ( |  | ) |

H245_UserInputIndication::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_UserInputIndication::operator H245_UserInputIndication_userInputSupportIndication & | ( |  | ) |

H245_UserInputIndication::operator const H245_UserInputIndication_userInputSupportIndication & | ( |  | ) | const

H245_UserInputIndication::operator H245_UserInputIndication_signal & | ( |  | ) |

H245_UserInputIndication::operator const H245_UserInputIndication_signal & | ( |  | ) | const

H245_UserInputIndication::operator H245_UserInputIndication_signalUpdate & | ( |  | ) |

H245_UserInputIndication::operator const H245_UserInputIndication_signalUpdate & | ( |  | ) | const

H245_UserInputIndication::operator H245_UserInputIndication_extendedAlphanumeric & | ( |  | ) |

H245_UserInputIndication::operator const H245_UserInputIndication_extendedAlphanumeric & | ( |  | ) | const

H245_UserInputIndication::operator H245_UserInputIndication_encryptedAlphanumeric & | ( |  | ) |

H245_UserInputIndication::operator const H245_UserInputIndication_encryptedAlphanumeric & | ( |  | ) | const

H245_UserInputIndication::operator H245_ArrayOf_GenericInformation & | ( |  | ) |

H245_UserInputIndication::operator const H245_ArrayOf_GenericInformation & | ( |  | ) | const

PBoolean H245_UserInputIndication::CreateObject | ( |  | ) |

PObject* H245_UserInputIndication::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h